WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Error twitteroauth

[Resolved] Error twitteroauth

  • F3rn4nd0s4nt0s
    Member

    @f3rn4nd0s4nt0s

    I went to catch the test version to have the pictures on twitter and activate the plugin it conflicts with my theme …

    public_html/wp-content/themes/cherry/functions/twitteroauth/twitteroauth.php on line 17

    looked at the code and starting from row 17 have this:

    /* Load OAuth lib. You can find it at http://oauth.net */
    if( ! class_exists(‘OAuthException’,false)) {
    require_once(‘OAuth.php’);
    }

    /**
    * Twitter OAuth class
    */
    class TwitterOAuth {
    /* Contains the last HTTP status code returned. */
    public $http_code;
    /* Contains the last API call. */
    public $url;
    /* Set up the API root URL. */
    public $host = “https://api.twitter.com/1.1/”;
    /* Set timeout default. */
    public $timeout = 30;
    /* Set connect timeout. */
    public $connecttimeout = 30;
    /* Verify SSL Cert. */
    public $ssl_verifypeer = FALSE;
    /* Respons format. */
    public $format = ‘json’;
    /* Decode returned json data. */
    public $decode_json = TRUE;
    /* Contains the last HTTP headers returned. */
    public $http_info;
    /* Set the useragnet. */
    public $useragent = ‘TwitterOAuth v0.2.0-beta2’;
    /* Immediately retry the API call if the response was not successful. */
    //public $retry = TRUE;

    ==

    I would like a solution since used the old version and had no problems and now wanted a pro to use the images on twitter …

    https://wordpress.org/plugins/tweet-old-post/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Codeinwp
    Participant

    @codeinwp

    Hi,

    We are investigating the problem and we’ll inform you when we find a solution.

    Keep in touch.

    Best regards.

    Plugin Author Codeinwp
    Participant

    @codeinwp

    Hi,

    Do you have any twitter functionality in your theme ? If you plan to use TOP, a solution is to simply remove twitteroauth from your theme since we add it already, in this way you can avoid any conflict.

    F3rn4nd0s4nt0s
    Member

    @f3rn4nd0s4nt0s

    OK, but I think the right would you fix this conflict, because I believe that many themes use twitteroauth…

    Plugin Author Codeinwp
    Participant

    @codeinwp

    Hi,

    The conflict is fixed on our side, we do something like : if !exist include, but they need to do the same to make sure is not already included.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Resolved] Error twitteroauth’ is closed to new replies.